[Mac] NetBeans 6.8 Beta and Java ME SDK 3.0 EA

Iwan wanted to know if the Java ME SDK works with the NetBeans 6.8 Beta. And if it could e available at Update Center to let you download the SDK directly from NetBeans.

NetBeans and Java ME SDK - picture is worth a thousand words...

Open "Tools > Java Platforms"

Press the "Add Platform" button


Select the "Java ME MIDP Platform Emulator"


Browse to your Java ME SDK location - usually /Applications/Java_ME_SDK_3.0


Platform has been found



Java ME SDK 3.0 Ea as module at NB Udate Center - this is most probably worthless as there is no added value then that the users find it quickly. The maintenance of the modules at UC takes a lot of time. You have to upload it, test it, then you have to be careful when the final version appears and remove it from UC or replace with the new version. I can't see any volunteer ;)
OTOH, the module with the SDK would just download it and install it. If you brave enough to use Early Access yhis steps - download, install - will warn you that you are doing something "special".
Comments:

Hey Lukas,

This is excellent!!! And why did the guys at JavaME SDK not put this in BIG SIGNS on their blog? Or I missed it...

Iwan

Posted by Iwan Eising on October 26, 2009 at 03:56 AM CET #

Your article is very interesting, I have introduced a lot of friends look at this article, the content of the articles there will be a lot of attractive people to appreciate, I have to thank you such an article.

Posted by supra shoes on October 26, 2009 at 04:22 AM CET #

Great post and good work!
You mention very good points and i am very happy to read your blog and its posts !

Posted by web Designing on October 26, 2009 at 04:22 AM CET #

No Linux version, no Java ME SDK 3.0.
No Opensolaris version, no Java ME SDK 3.0.

Posted by guest on October 26, 2009 at 08:30 AM CET #

Hi Lukas,

on my MacOSX are first few steps correct (downloading and instaling) but when I try run my j2me project build finish with message :

\*\*\* Error \*\*\*
Failed to connect to device 0!
Reason:
Emulator o terminated while waiting for it to register!

that same problem occured on every each seleted devices.
I think so this version is not ready for release as EA ..maybe like alpha preview nothing else...

Posted by guest on November 08, 2009 at 10:30 PM CET #

Hi

There is no Linux and java version of 3.0.

Posted by Web Solutions on November 12, 2009 at 11:31 PM CET #

hi lukas , i try restart my mac and i see one thing.... when I start first time my mobile application emulator start right and everything go good but when I close emulator (similaire as on Win) emulor dont start and build script finishing with result > Failed to connect to device. Its right ? Coz i think so it isnt right way...

Posted by guest on November 15, 2009 at 11:38 PM CET #

No, that's not correct behaviour. Most probably a bug.

Posted by Lukas on November 18, 2009 at 01:54 PM CET #

Hi dear;

"Select platform type" window doesn't appear for me. Are there another way to install J2ME SDK on NetBeans.

Thanks

Posted by Roozbeh on March 03, 2010 at 10:30 PM CET #

@Roozbeh: 1, you have to download/install the SDK by yourself. 2, then you can register it into the IDE (as described in my post) 3, to be able to "register SDK" you have to have the Mobility modules in your IDE (check it in Tools > Plugins, if they are not in Installed tab, install them from Available Plugins tab)

Posted by Lukas on March 04, 2010 at 03:01 AM CET #

Post a Comment:
  • HTML Syntax: NOT allowed
About

This is the main channel to share news, tips and other stuff related to my work. Sometimes you can find even personal stuff. Enjoy your reading...

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today
news
Blogroll

No bookmarks in folder

OldNews
MyTrash
NavBar
NetBeans
LinksToBeExpanded